classification
Title: Some built-in complex docstrings are not PEP-8 compatible
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, marco.buttu, python-dev, tshepang
Priority: normal Keywords: patch

Created on 2013-09-22 07:09 by marco.buttu, last changed 2013-10-05 21:42 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
complexobject.patch marco.buttu, 2013-09-22 07:09 review
Messages (3)
msg198245 - (view) Author: Marco Buttu (marco.buttu) * Date: 2013-09-22 07:09
As reported in the title: 

>>> complex.conjugate.__doc__.splitlines()[-1]
'Returns the complex conjugate of its argument. (3-4j).conjugate() == 3+4j.'
>>> complex.__format__.__doc__.splitlines()[-1]
'Converts to a string according to format_spec.'

They should have been 'Return...' and 'Convert...'. Patch is attached
msg199004 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-05 21:40
New changeset 54213ef5bb19 by Ezio Melotti in branch '3.3':
#19068: use imperative mood in complex object docstrings.  Patch by Marco Buttu.
http://hg.python.org/cpython/rev/54213ef5bb19

New changeset c1abbeae5c8a by Ezio Melotti in branch 'default':
#19068: merge with 3.3.
http://hg.python.org/cpython/rev/c1abbeae5c8a

New changeset 3ef157674abc by Ezio Melotti in branch '2.7':
#19068: use imperative mood in complex object docstrings.  Patch by Marco Buttu.
http://hg.python.org/cpython/rev/3ef157674abc
msg199007 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-10-05 21:42
Fixed, thanks for the patch!
History
Date User Action Args
2013-10-05 21:42:01ezio.melottisetstatus: open -> closed

assignee: docs@python -> ezio.melotti
versions: + Python 2.7, Python 3.4, - Python 3.2
nosy: + ezio.melotti

messages: + msg199007
resolution: fixed
stage: resolved
2013-10-05 21:40:29python-devsetnosy: + python-dev
messages: + msg199004
2013-09-28 20:37:22terry.reedysetversions: - Python 3.1
2013-09-28 03:47:15tshepangsetnosy: + tshepang
2013-09-22 07:09:57marco.buttusettype: enhancement
2013-09-22 07:09:02marco.buttucreate